#!/bin/bash
alpha=$1


gcc -o 	problem3_5_6.exe 	problem3_5_6.c 	dSFMT.c

./problem3_5_6.exe	${alpha}


for B in Max_Likelihood	Least_Square
do

max=$(sort -k2gr ${B}.dat | head -1 | awk '{print 1.1*$2}' )

echo "${alpha} ${max}" > tmp.dat

gnuplot <<EOF
set terminal postscript eps enhanced color
set output "${B}.eps"
set size 0.6,0.6
set xlabel "Estimated {/Symbol a}"
set ylabel "PDF"
set yrange [0:${max}]
plot	"${B}.dat" u 1:2 noti w boxes ,\
		"tmp.dat" u 1:2 noti w impulses lt 1 lc rgb "blue"
EOF


rm tmp.dat

done
